import 'package:injectable/injectable.dart';
import 'package:oasis_api/oasis_api.dart';
import 'package:smartstruct/smartstruct.dart';

part 'arrangement_mapper.mapper.g.dart';

// @LazySingleton(env: [Environment.dev, Environment.prod, Environment.test])
@Mapper(useInjection: true, caseSensitiveFields: false)
abstract class ArrangementMapper {
  Arrangement fromModel(ArrangementModel model);

  ArrangementModel toModel(Arrangement arrangement);

  List<Arrangement> fromModelList(List<ArrangementModel> models);

  List<ArrangementModel> toModelList(List<Arrangement> arrangements);
}
