import 'package:injectable/injectable.dart';
import 'package:oasis_api/injection.dart';
import 'package:oasis_api/oasis_api.dart';
import 'package:smartstruct/smartstruct.dart';

part 'criteria_mapper.mapper.g.dart';

// @LazySingleton(env: [Environment.dev, Environment.prod, Environment.test])
@Mapper(useInjection: true, caseSensitiveFields: false)
abstract class CriteriaMapper {
  Criteria fromModel(CriteriaModel model);

  CriteriaModel toModel(Criteria criteria);

  List<CriteriaModel> toModelList(List<Criteria> observationMessages);

  CriteriaMapper();
}
