import 'package:injectable/injectable.dart';
import 'package:oasis_api/oasis_api.dart';
import 'package:smartstruct/smartstruct.dart';

part 'customer_mapper.mapper.g.dart';

// @LazySingleton(env: [Environment.dev, Environment.prod, Environment.test])
@Mapper(useInjection: true, caseSensitiveFields: false)
abstract class CustomerMapper {
  Customer fromModel(CustomerModel model);

  CustomerModel toModel(Customer customer);

  List<Customer> fromModelList(List<CustomerModel> models);

  List<CustomerModel> toModelList(List<Customer> customers);
}
