import 'package:injectable/injectable.dart';
import 'package:oasis_api/oasis_api.dart';
import 'package:smartstruct/smartstruct.dart';

part 'geolocation_mapper.mapper.g.dart';

// @LazySingleton(env: [Environment.dev, Environment.prod, Environment.test])
@Mapper(useInjection: true, caseSensitiveFields: false)
abstract class GeolocationMapper {
  GeolocationMessage fromModel(GeolocationModel model);

  GeolocationModel toModel(GeolocationMessage geolocation);

  GeolocationModelList toModelList(GeolocationProtoList grpcObject);
}
