import 'package:oasis_api/oasis_api.dart';

class GeolocationModel {
  final String title;
  final double latitude;
  final double longitude;

  GeolocationModel({
    required this.title,
    required this.latitude,
    required this.longitude,
  });
}

class GeolocationModelList {
  final List<GeolocationModel> geolocations;

  GeolocationModelList({required this.geolocations});
}

class GeolocationProtoList {
  final List<GeolocationMessage> geolocations;

  GeolocationProtoList({required this.geolocations});
}

