import 'customer_model.dart';

class InvoiceModel {
  final String amount;
  final int currency;
  final String info;
  final String expiration;
  final bool isNameEditable;
  final bool isAddressEditable;
  final bool isAmountEditable;
  final String emailNotification;
  final String smsPhone;
  final bool shouldReturnInvoiceUrl;
  final String lifeTime;
  final int invoiceNo;
  final int status;
  final String created;
  final int cardInvoiceNo;
  final CustomerModel customer;

  InvoiceModel({
    required this.amount,
    required this.currency,
    required this.info,
    required this.expiration,
    required this.isNameEditable,
    required this.isAddressEditable,
    required this.isAmountEditable,
    required this.emailNotification,
    required this.smsPhone,
    required this.shouldReturnInvoiceUrl,
    required this.lifeTime,
    required this.invoiceNo,
    required this.status,
    required this.created,
    required this.cardInvoiceNo,
    required this.customer,
  });
}
