import 'observation_model.dart';

class TopicModel {
  final int topicId;
  String value;
  final List<TopicModel> topics;
  final List<ObservationModel> observations;
  final List<KeywordModel> keywords;

  TopicModel({
    required this.topicId,
    required this.value,
    required this.topics,
    required this.observations,
    required this.keywords,
  });
}

class KeywordModel {
  final int keywordId;
  final String value;
  final bool selected;
  final List<KeywordModel> keywords;

  KeywordModel({
    required this.keywordId,
    required this.value,
    required this.selected,
    required this.keywords,
  });
}

enum ScreenType { placeTags, filterTags }
