import 'package:injectable/injectable.dart';
import 'package:oasis_api/oasis_api.dart';
import 'package:smartstruct/smartstruct.dart';

part 'venue_mapper.mapper.g.dart';

// @LazySingleton(env: [Environment.dev, Environment.prod, Environment.test])
@Mapper(useInjection: true, caseSensitiveFields: false)
abstract class VenueMapper {
  Venue fromModel(VenueModel model);

  VenueModel toModel(Venue grpcObject);

  List<VenueModel> toModelList(List<Venue> observationMessages);

  VenueMapper();
}
